# Uses of Interface
org.gitana.platform.client.principal.DomainGroup

Packages that use DomainGroup
Package
Description
org.gitana.platform.client.domain
org.gitana.platform.client.node.type
org.gitana.platform.client.principal

## Uses of DomainGroup in org.gitana.platform.client.domain

Methods in org.gitana.platform.client.domain that return DomainGroup
Modifier and Type
Method
Description
`DomainGroup`
Domain.`createGroup(String name)`
`DomainGroup`
DomainImpl.`createGroup(String name)`
Methods in org.gitana.platform.client.domain that return types with arguments of type DomainGroup
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listGroups(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listGroups(org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listMemberships(String principalId)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listMemberships(String principalId, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listMemberships(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listMemberships(String principalId)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listMemberships(String principalId, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listMemberships(DomainPrincipal principal)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`listMemberships(DomainPrincipal principal, boolean includeIndirectMemberships)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
Domain.`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainImpl.`queryGroups(com.fasterxml.jackson.databind.node.ObjectNode query, org.gitana.platform.support.Pagination pagination)`

## Uses of DomainGroup in org.gitana.platform.client.node.type

Methods in org.gitana.platform.client.node.type that return DomainGroup
Modifier and Type
Method
Description
`DomainGroup`
Group.`getDomainGroup()`
`DomainGroup`
GroupImpl.`getDomainGroup()`

## Uses of DomainGroup in org.gitana.platform.client.principal

Classes in org.gitana.platform.client.principal that implement DomainGroup
Modifier and Type
Class
Description
`class`
`DomainGroupImpl`
Methods in org.gitana.platform.client.principal that return types with arguments of type DomainGroup
Modifier and Type
Method
Description
`org.gitana.platform.support.ResultMap<DomainGroup>`
AbstractDomainPrincipalImpl.`listParentGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
AbstractDomainPrincipalImpl.`listParentGroups(boolean includeAncestors)`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainPrincipal.`listParentGroups()`
`org.gitana.platform.support.ResultMap<DomainGroup>`
DomainPrincipal.`listParentGroups(boolean includeAncestors)`